Unable to install pgsql under RHEL8

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

Unable to install pgsql under RHEL8

Jehan-Guillaume de Rorthais
Hi,

I am not able to install postgresql11 under a fresh RHEL8.

The repos have been installed using
https://download.postgresql.org/pub/repos/yum/reporpms/EL-8-x86_64/pgdg-redhat-repo-latest.noarch.rpm

They are enabled:

  # yum --quiet repolist pgdg1*
  repo id                  repo name                                 status
  pgdg10                   PostgreSQL 10 8 - x86_64                  239
  pgdg11                   PostgreSQL 11 8 - x86_64                  104

Packages are known by the repository:

  # yum --quiet repoquery --repo pgdg11 postgresql11-server*
  postgresql11-server-0:11.2-2PGDG.rhel8.x86_64
  postgresql11-server-0:11.3-1PGDG.rhel8.x86_64

But they are unknown from local cache:

  # yum search postgresql11-server
  Updating Subscription Management repositories.
  Last metadata expiration check: 0:23:08 ago on Fri May 17 00:23:20 2019.
  No matches found.

If I try to groupinstall:

  # yum groupinstall postgresqldbserver11
  Updating Subscription Management repositories.
  Last metadata expiration check: 0:24:27 ago on Fri May 17 00:23:20 2019.
  No match for group package "postgresql11"
  No match for group package "postgresql11-contrib"
  No match for group package "postgresql11-server"
  Dependencies resolved.
  =========================================================================
   Package               Arch       Version               Repository  Size
  =========================================================================
  Installing group/module packages:
   postgresql11-libs     x86_64     11.3-1PGDG.rhel8      pgdg11     385 k
  [...]

If I yum install using direct URL, it obviously works and pull
postgresql11-libs as dependency:

  # yum install $PGDG_URL/postgresql11-11.3-1PGDG.rhel8.x86_64.rpm
                $PGDG_URL/postgresql11-server-11.3-1PGDG.rhel8.x86_64.rpm


Any clue? Some issue with the provided package list?

Thanks,


Reply | Threaded
Open this post in threaded view
|

Re: Unable to install pgsql under RHEL8

Devrim GÜNDÜZ

Hi,

On Fri, 2019-05-17 at 00:57 +0200, Jehan-Guillaume de Rorthais wrote:
> I am not able to install postgresql11 under a fresh RHEL8.

Yeah, I saw it yesterday, too :( I built the new packages. Testing them ATM,
will release very soon.

Check the repo in 1,5 hours, please.

Regards,
--
Devrim Gündüz
Open Source Solution Architect, Red Hat Certified Engineer
Twitter: @DevrimGunduz , @DevrimGunduzTR

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Unable to install pgsql under RHEL8

Jehan-Guillaume de Rorthais
Hi Devrim,

On Fri, 17 May 2019 08:56:44 +0300
Devrim Gündüz <[hidden email]> wrote:

> On Fri, 2019-05-17 at 00:57 +0200, Jehan-Guillaume de Rorthais wrote:
> > I am not able to install postgresql11 under a fresh RHEL8.  
>
> Yeah, I saw it yesterday, too :( I built the new packages. Testing them ATM,
> will release very soon.

Thanks!

> Check the repo in 1,5 hours, please.

I suppose I'll have to be a bit more patient, or maybe your publication get
stuck somewhere in the middle?

  Cannot download
  'https://download.postgresql.org/pub/repos/yum/10/redhat/rhel-8-x86_64':
  Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors
  were tried.

  Cannot download
  'https://download.postgresql.org/pub/repos/yum/11/redhat/rhel-8-x86_64':
  Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors
  were tried.

Plus, lots of packages for other releases are still missing from package
lists :/

Let me know if I can do anything to help.

Cheers,


Reply | Threaded
Open this post in threaded view
|

Re: Unable to install pgsql under RHEL8

Devrim GÜNDÜZ

Hi,

On Fri, 2019-05-17 at 10:40 +0200, Jehan-Guillaume de Rorthais wrote:
> I suppose I'll have to be a bit more patient, or maybe your publication get
> stuck somewhere in the middle?

Yeah. The repoview command  fails because of some customization that I made on
the previous build server and missing on the new one. I'll keep you updated.

Regards,
--
Devrim Gündüz
Open Source Solution Architect, Red Hat Certified Engineer
Twitter: @DevrimGunduz , @DevrimGunduzTR

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Unable to install pgsql under RHEL8

Jehan-Guillaume de Rorthais
On Fri, 17 May 2019 13:00:18 +0300
Devrim Gündüz <[hidden email]> wrote:

> Hi,
>
> On Fri, 2019-05-17 at 10:40 +0200, Jehan-Guillaume de Rorthais wrote:
> > I suppose I'll have to be a bit more patient, or maybe your publication get
> > stuck somewhere in the middle?  
>
> Yeah. The repoview command  fails because of some customization that I made on
> the previous build server and missing on the new one. I'll keep you updated.

Thanks! Good luck.


Reply | Threaded
Open this post in threaded view
|

Re: Unable to install pgsql under RHEL8

Devrim GÜNDÜZ
In reply to this post by Jehan-Guillaume de Rorthais

Hi,

On Fri, 2019-05-17 at 10:40 +0200, Jehan-Guillaume de Rorthais wrote:
> I suppose I'll have to be a bit more patient, or maybe your publication get
> stuck somewhere in the middle?

They should be in the repo now.

Regards,
--
Devrim Gündüz
Open Source Solution Architect, Red Hat Certified Engineer
Twitter: @DevrimGunduz , @DevrimGunduzTR

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Unable to install pgsql under RHEL8

Jehan-Guillaume de Rorthais
On Fri, 17 May 2019 14:35:08 +0300
Devrim Gündüz <[hidden email]> wrote:

> Hi,
>
> On Fri, 2019-05-17 at 10:40 +0200, Jehan-Guillaume de Rorthais wrote:
> > I suppose I'll have to be a bit more patient, or maybe your publication get
> > stuck somewhere in the middle?  
>
> They should be in the repo now.

No more luck:

  [root@srv1 ~]# yum install postgresql11 postgresql11-server \
    postgresql11-contrib resource-agents-paf
  Updating Subscription Management repositories.
  Last metadata expiration check: 0:00:49 ago on Fri May 17 16:33:48 2019.
  No match for argument: postgresql11
  No match for argument: postgresql11-server
  No match for argument: postgresql11-contrib
  No match for argument: resource-agents-paf
  Error: Unable to find a match

  [root@srv1 ~]# yum search postgresql11
  Updating Subscription Management repositories.
  Last metadata expiration check: 0:00:57 ago on Fri May 17 16:33:48 2019.
  ======================================================================
  Name Matched: postgresql11
  ======================================================================
  postgresql11-tcl.x86_64 : A Tcl client library for PostgreSQL
  postgresql11-libs.x86_64 : The shared libraries required for any PostgreSQL
  clients postgresql11-odbc.x86_64 : PostgreSQL ODBC driver
  postgresql11-devel.x86_64 : PostgreSQL development header files and libraries
  postgresql11-llvmjit.x86_64 : Just-in-time compilation support for PostgreSQL
  postgresql11-plpython.x86_64 : The Python procedural language for PostgreSQL



Reply | Threaded
Open this post in threaded view
|

Re: Unable to install pgsql under RHEL8

Jehan-Guillaume de Rorthais
Just to keep the list up to date, an issue has been opened there:

  https://redmine.postgresql.org/issues/4296

So far, the best workaround I found is to disable the module "postgresql"
from the official appstream distribution:

  [root@localhost ~]# yum -qy module enable postgresql
  [root@localhost ~]# yum -q info postgresql11-server|grep ^Name
  Error: No matching Packages to list
  [root@localhost ~]# yum -qy module disable postgresql
  [root@localhost ~]# yum -q info postgresql11-server|grep ^Name
  Name         : postgresql11-server

++


Reply | Threaded
Open this post in threaded view
|

Re: Unable to install pgsql under RHEL8

Jehan-Guillaume de Rorthais
On Wed, 5 Jun 2019 12:44:30 +0200
Jehan-Guillaume de Rorthais <[hidden email]> wrote:

> Just to keep the list up to date, an issue has been opened there:
>
>   https://redmine.postgresql.org/issues/4296

For you information, Ken Gaillot adviced me to file a bug on the RH bug tracker
system. So here it is:

  https://bugzilla.redhat.com/show_bug.cgi?id=1718201

++